             function readfieldfst2d(fstfile:string,var:string,dimx:integer,\
				dimy:integer,latS:float,latN:float,\
				lonL:float,lonR:float)

begin


orilat=new((/dimy,dimx/),float)
orilon=new((/dimy,dimx/),float)
fieldorig=new((/dimy,dimx/),float)


readfst2d(dimx,dimy,orilat,"LA",fstfile)
readfst2d(dimx,dimy,orilon,"LO",fstfile)
readfst2d(dimx,dimy,fieldorig,var,fstfile)

lon= fspan (lonL, lonR, dimx)
lat = fspan (latS,latN, dimy)                        


lon@units ="degrees_west"
lon@long_name="Longitud"
lon!0= "lon"


lat@units ="degrees_south"
lat@long_name="Latitud"
lat!0= "lat"                        

field=rcm2rgrid(orilat,orilon,fieldorig,lat,lon,0)                        


field!0= "lat"
field!1= "lon"
field&lat= lat
field&lon=  lon

return(field)
end			 	
